Analytics rollup

Returns time-bucketed analytics grouped by platform, account, external user, or delivery status. Use it for charts and reporting summaries.
https://api.unipost.dev
GET/v1/analytics/rollup?{from}&{to}&{granularity}&{group_by}&{profile_id}
Authorization
In header ยท Bearer <token>
Query
string
string

Authorization

AuthorizationBearer <token>In header
Workspace API key.

Query Params

fromstring
Required RFC3339 timestamp.
tostring
Required RFC3339 timestamp. Range is capped at 366 days.
granularityOptionalstring
Bucket size.
Valuesday | week | month
group_byOptionalstring
Comma-separated dimensions.
Valuesplatform | social_account_id | external_user_id | status
profile_idOptionalstring
Limit the rollup to one UniPost profile.

Response Body

200
granularitystring
Applied time bucket.
group_byarray
Applied group dimensions.
series[]array
Time buckets ordered newest first.
series[].groups[]array
Grouped counts and normalized metrics.
series[].groups[].published_countnumber
Published delivery count.
series[].groups[].impressionsnumber
Summed impressions.
series[].groups[].savesnumber
Summed saves / bookmarks.
series[].groups[].clicksnumber
Summed clicks.
series[].groups[].engagement_ratenumber
Computed from normalized engagement over impressions.
401
error.codestring
Usually "UNAUTHORIZED", "PLAN_FEATURE_NOT_AVAILABLE", or "VALIDATION_ERROR".
error.normalized_codestring
Lowercase error code.
error.messagestring
Human-readable error message.
402
error.codestring
Usually "UNAUTHORIZED", "PLAN_FEATURE_NOT_AVAILABLE", or "VALIDATION_ERROR".
error.normalized_codestring
Lowercase error code.
error.messagestring
Human-readable error message.
422
error.codestring
Usually "UNAUTHORIZED", "PLAN_FEATURE_NOT_AVAILABLE", or "VALIDATION_ERROR".
error.normalized_codestring
Lowercase error code.
error.messagestring
Human-readable error message.